<div class="form-group">
    <label>{{localize "PF2E.WeaponTypeLabel"}}</label>
    <select name="data.weaponType.value" data-dtype="{{data.weaponType.type}}">
        {{#select data.weaponType.value}}
        <option value=""></option>
        {{#each weaponTypes as |name type|}}
        <option value="{{type}}">{{name}}</option>
        {{/each}}
        {{/select}}
        {{#select data.weaponType.value}}
        {{#each martialSkills as |martial key|}}
        <option value="{{martial._id}}">{{martial.name}}</option>
        {{/each}}
        {{/select}}
    </select>
</div>

<div class="form-group">
    <label>{{localize "PF2E.WeaponGroupLabel"}}</label>
    <select name="data.group.value" data-dtype="{{data.group.type}}">
        {{#select data.group.value}}
        <option value=""></option>
        {{#each weaponGroups as |name type|}}
        <option value="{{type}}">{{name}}</option>
        {{/each}}
        {{/select}}
    </select>
</div>

<div class="form-group">
    <label>{{localize "PF2E.WeaponBonusLabel"}}</label>
    <!-- <select name="data.bonus.value" data-dtype="{{data.bonus.type}}">
        {{#select data.bonus.value}}
        {{#each itemBonuses as |name type|}}
        <option value="{{type}}">{{name}}</option>
        {{/each}}
        {{/select}}
    </select> -->
    <input type="text" name="data.bonus.value" value="{{data.bonus.value}}" data-dtype="Number"/>
</div>

<div class="form-group">
    <label>{{localize "PF2E.WeaponDamageLabel"}}</label>
    <div class="details-container">
        <select name="data.damage.dice" data-dtype="Number">
            {{#select data.damage.dice}}
            {{#each damageDice as |name type|}}
            <option value="{{type}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
        <select name="data.damage.die" data-dtype="String">
            {{#select data.damage.die}}
            <option value=""></option>
            {{#each damageDie as |name type|}}
            <option value="{{type}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
        <select name="data.damage.damageType" data-dtype="String">
            {{#select data.damage.damageType}}
            {{#each weaponDamage as |name type|}}
            <option value="{{type}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>

<div class="form-group">
    <label>{{localize "PF2E.WeaponBonusDamageLabel"}}</label>
    <input type="text" name="data.bonusDamage.value" value="{{data.bonusDamage.value}}" data-dtype="Number"/>
</div>

<ol class="form-list">

    <li class="form-group">
        <label>{{localize "PF2E.WeaponPropertyRuneLabel"}}</label>
        <input type="text" name="data.property1.value" value="{{data.property1.value}}" data-dtype="{{data.property1.type}}"/>
    </li>

    <li class="form-group">
        <label>{{localize "PF2E.WeaponPropertyStrikeDamageLabel"}}</label>
        <div class="details-container">
            <select name="data.property1.dice" data-dtype="Number">
                {{#select data.property1.dice}}
                <option value=""></option>
                {{#each damageDice as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
            <select name="data.property1.die" data-dtype="String">
                {{#select data.property1.die}}
                <option value=""></option>
                {{#each damageDie as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
            <select name="data.property1.damageType" data-dtype="String">
                {{#select data.property1.damageType}}
                <option value=""></option>
                {{#each damageTypes as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
        </div>
    </li>

    <li class="form-group">
        <label>{{localize "PF2E.WeaponPropertyStrikeEffectLabel"}}</label>
        <div class="effects-container">
            <select name="data.property1.strikeConditionType" data-dtype="String">
                {{#select data.property1.strikeConditionType}}
                <option value=""></option>
                {{#each conditionTypes as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
            <select name="data.property1.strikeConditionValue" data-dtype="Number">
                {{#select data.property1.strikeConditionValue}}
                <option value=""></option>
                {{#each damageDice as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
            <!-- <select name="data.property1.strikeConditionDie" data-dtype="String">
                {{#select data.property1.strikeConditionDie}}
                <option value=""></option>
                {{#each damageDie as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select> -->
        </div>
    </li>

    <li class="form-group">
        <label>{{localize "PF2E.WeaponPropertyCriticalDamageLabel"}}</label>
        <div class="details-container">
            <select name="data.property1.critDice" data-dtype="Number">
                {{#select data.property1.critDice}}
                <option value=""></option>
                {{#each damageDice as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
            <select name="data.property1.critDie" data-dtype="String">
                {{#select data.property1.critDie}}
                <option value=""></option>
                {{#each damageDie as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
            <select name="data.property1.critDamageType" data-dtype="String">
                {{#select data.property1.critDamageType}}
                <option value=""></option>
                {{#each damageTypes as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
        </div>
    </li>

    <li class="form-group">
        <label>{{localize "PF2E.WeaponPropertyCriticalEffectLabel"}}</label>
        <div class="effects-container">
            <select name="data.property1.criticalConditionType" data-dtype="String">
                {{#select data.property1.criticalConditionType}}
                <option value=""></option>
                {{#each conditionTypes as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
            <select name="data.property1.criticalConditionValue" data-dtype="Number">
                {{#select data.property1.criticalConditionValue}}
                <option value=""></option>
                {{#each damageDice as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
<!--             <select name="data.property1.criticalConditionDie" data-dtype="String">
                {{#select data.property1.criticalConditionDie}}
                <option value=""></option>
                {{#each damageDie as |name type|}}
                <option value="{{type}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select> -->
        </div>
    </li>

</ol>

<!-- <div class="form-group">
    <label>{{data.damage.label}}</label>
    <select name="data.damage.value" data-dtype="{{data.damage.type}}">
        {{#select data.damage.value}}
        {{#each damageDice as |name type|}}
        <option value="{{type}}">{{name}}</option>
        {{/each}}
        {{/select}}
    </select>
</div>

<div class="form-group">
    <label>{{data.damageType.label}}</label>
    <select name="data.damageType.value" data-dtype="{{data.damageType.type}}">
        {{#select data.damageType.value}}
        <option value=""></option>
        {{#each damageTypes as |name type|}}
        <option value="{{type}}">{{name}}</option>
        {{/each}}
        {{/select}}
    </select>
</div> -->

<div class="form-group">
    <label>{{localize "PF2E.WeaponRangeLabel"}}</label>
    <select name="data.range.value" data-dtype="{{data.range.type}}">
        {{#select data.range.value}}
        <option value=""></option>
        {{#each weaponRange as |name type|}}
        <option value="{{type}}">{{name}}</option>
        {{/each}}
        {{/select}}
    </select>
</div>


<div class="form-group">
        <label>{{localize "PF2E.WeaponReloadLabel"}}</label>
        <select name="data.reload.value" data-dtype="{{data.reload.type}}">
            {{#select data.reload.value}}
            <option value=""></option>
            {{#each weaponReload as |name type|}}
            <option value="{{type}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>

<div class="form-group">
    <label>{{localize "PF2E.WeaponAbilityLabel"}}</label>
    <select name="data.ability.value" data-dtype="{{data.ability.type}}">
        {{#select data.ability.value}}
        {{#each abilities as |ability a|}}
        <option value="{{a}}">{{localize ability}}</option>
        {{/each}}
        {{/select}}
    </select>
</div>

<div class="form-group">
    <label>{{localize "PF2E.WeaponMAPLabel"}}</label>
    <select name="data.MAP.value" data-dtype="{{data.MAP.type}}">
        {{#select data.MAP.value}}
        <option value="">{{localize "PF2E.WeaponMAPDefaultOption"}}</option>
        {{#each weaponMAP as |name type|}}
        <option value="{{type}}">{{name}}</option>
        {{/each}}
        {{/select}}
    </select>
</div>

<div class="form-group-stacked">
    <label for="data.traits">
        {{localize "PF2E.TraitsLabel"}}
        <a class="trait-selector" data-options="weaponTraits"><i class="fas fa-edit"></i></a>
    </label>
    <!-- <input type="text" name="data.traits.value" value="{{data.traits.value}}" data-dtype="{{data.traits.type}}"/> -->
    <ul class="traits-list pf-value pf-large">
        {{#each data.traits.value as |v k|}}
            <span class="tag {{k}}">{{v}}</span>
        {{/each}}
    </ul>
</div>


<!-- <div class="bio-item form-group-stacked pf-container">
        <label class="pf-title" for="data.traits.languages">
            Languages
            <a class="trait-selector" data-options="languages"><i class="fas fa-edit"></i></a>
        </label>
        <ul class="traits-list pf-value">
        {{#each data.traits.languages.selected as |v k|}}
            <span class="tag {{k}}">{{v}}</span>
        {{/each}}
        </ul>
    </div> -->
